### A free/open-source library for quantitative finance

Public Member Functions
BermudanExercise Class Reference

Bermudan exercise. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for BermudanExercise:
[legend]

List of all members.

## Public Member Functions

| BermudanExercise (const std::vector< Date > &dates, bool payoffAtExpiry=false)

## Detailed Description

Bermudan exercise.

A Bermudan option can only be exercised at a set of fixed dates.

Examples:
  BermudanSwaption.cpp, and EquityOption.cpp.